import { P as PairConfig } from './pair-config-e51ec0c7.js';
import { D as DvnAppViewConfig } from './view-config-39fd369a.js';

class AtamaMemberPairDetailViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(AtamaMemberPairDetailViewConfig.prototype), json);
    model.table = PairConfig.decode(model.table);
    return model;
  }
}

export { AtamaMemberPairDetailViewConfig as A };
